HepMC3 event record library: protobufUtils.h File Reference

HepMC3 event record library

Namespaces | Functions
protobufUtils.h File Reference

## Detailed Description

Definition of utility functions for protobufIO.

Definition in file protobufUtils.h.

`#include "HepMC3/GenEvent.h"`
`#include "HepMC3/GenRunInfo.h"`
`#include "HepMC3/HepMC3.pb.h"`
`#include <memory>`
`#include <string>`
Include dependency graph for protobufUtils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | HepMC3
| HepMC3 main namespace.

## Functions
std::string | GenRunInfo (GenRunInfo const &run_info)
std::string | GenEvent (GenEvent const &evt)
bool | GenRunInfo (std::string const &, std::shared_ptr< HepMC3::GenRunInfo > run_info)
void | FillGenRunInfo (HepMC3_pb::GenRunInfoData const &gri_pb, std::shared_ptr< HepMC3::GenRunInfo > run_info)
bool | GenEvent (std::string const &, HepMC3::GenEvent &evt)
void | FillGenEvent (HepMC3_pb::GenEventData const &ged_pb, HepMC3::GenEvent &evt)

## Function Documentation

## ◆ FillGenEvent()

void FillGenEvent | ( | HepMC3_pb::GenEventData const & | ged_pb,
|  | HepMC3::GenEvent & | evt )

Definition at line 206 of file protobufUtils.cc.

## ◆ FillGenRunInfo()

void FillGenRunInfo | ( | HepMC3_pb::GenRunInfoData const & | gri_pb,
|  | std::shared_ptr< HepMC3::GenRunInfo > | run_info )

Definition at line 150 of file protobufUtils.cc.

## ◆ GenEvent() [1/2]

bool GenEvent | ( | std::string const & | msg,
|  | HepMC3::GenEvent & | evt )

Definition at line 322 of file protobufUtils.cc.

## ◆ GenEvent() [2/2]

std::string GenEvent | ( | HepMC3::GenEvent const & | evt | ) |

Definition at line 58 of file protobufUtils.cc.

## ◆ GenRunInfo() [1/2]

bool GenRunInfo | ( | std::string const & | msg,
|  | std::shared_ptr< HepMC3::GenRunInfo > | run_info )

Definition at line 190 of file protobufUtils.cc.

## ◆ GenRunInfo() [2/2]

std::string GenRunInfo | ( | HepMC3::GenRunInfo const & | run_info | ) |

Definition at line 28 of file protobufUtils.cc.